Treat
curl --request POST \
--url https://{host}/api/governance/runs/{execution_id}/treat \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"actions": [
{
"rule_id": "<string>"
}
],
"note": "<string>",
"mask": "[redacted]",
"drop_duplicates": false
}
'import requests
url = "https://{host}/api/governance/runs/{execution_id}/treat"
payload = {
"actions": [{ "rule_id": "<string>" }],
"note": "<string>",
"mask": "[redacted]",
"drop_duplicates": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
actions: [{rule_id: '<string>'}],
note: '<string>',
mask: '[redacted]',
drop_duplicates: false
})
};
fetch('https://{host}/api/governance/runs/{execution_id}/treat', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"execution_id": "<string>",
"run_id": "<string>",
"queued": true,
"units": 4611686018427388000
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}POST
/
api
/
governance
/
runs
/
{execution_id}
/
treat
Treat
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Pattern:
^[0-9a-f]{32}$Query Parameters
Required string length:
1 - 256Available options:
sft, preference, evaluation, custom Body
application/json